package com.zd.smartlock.service;

import java.util.List;
import com.zd.smartlock.domain.SlUserRelation;

/**
 * 人员关联Service接口
 *
 * @author zd
 * @date 2022-09-02
 */
public interface ISlUserRelationService
{
    /**
     * 查询人员关联
     *
     * @param id 人员关联主键
     * @return 人员关联
     */
    SlUserRelation selectSlUserRelationById(Long id);

    /**
     * 查询人员关联列表
     *
     * @param slUserRelation 人员关联
     * @return 人员关联集合
     */
    List<SlUserRelation> selectSlUserRelationList(SlUserRelation slUserRelation);

    /**
     * 根据主键集合查询人员关联列表
     *
     * @param ids 主键集合
     * @return 人员关联集合
     */
    List<SlUserRelation> getListByIds(List<Long> ids);

    /**
     * 新增人员关联
     *
     * @param slUserRelation 人员关联
     * @return 结果
     */
    int insertSlUserRelation(SlUserRelation slUserRelation);

    /**
     * 修改人员关联
     *
     * @param slUserRelation 人员关联
     * @return 结果
     */
    int updateSlUserRelation(SlUserRelation slUserRelation);

    /**
     * 批量删除人员关联
     *
     * @param ids 需要删除的人员关联主键集合
     * @return 结果
     */
    int deleteSlUserRelationByIds(Long[] ids);

    /**
     * 删除人员关联信息
     *
     * @param id 人员关联主键
     * @return 结果
     */
    int deleteSlUserRelationById(Long id);
}
